<?php

namespace FiloBlu\PageSpeedOptimizer\Helper;

use Magento\Framework\Session\SessionManagerInterface;
use Magento\Framework\Stdlib\Cookie\CookieMetadataFactory;
use Magento\Framework\Stdlib\CookieManagerInterface;

class Data extends \Magento\Framework\Url\Helper\Data {

    protected $scopeConfig;

    public function __construct(\Magento\Framework\App\Helper\Context $context
    ) {
        $this->scopeConfig = $context->getScopeConfig();
    }

    public function getConfig($config_path, $section = 'filoblu_pagespeedoptimizer_section') {
        return $this->scopeConfig->getValue(
            $section . '/' . $config_path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
    }

    public function botDetected() {

        return (
            isset($_SERVER['HTTP_USER_AGENT'])
            && preg_match($this->getConfig("general/useragentsregex"), $_SERVER['HTTP_USER_AGENT'])
        );
    }

    public function isEnabled() {
        return $this->getConfig("general/enabled") && $this->botDetected();
    }
}
