<?php

namespace FiloBlu\PageSpeedOptimizer\Model\App\Action;

use Magento\Customer\Api\Data\CustomerInterface;
use Magento\Customer\Model\Context;
use Magento\Customer\Model\GroupManagement;
use Magento\Customer\Model\Session;
use Magento\Framework\Api\AttributeInterface;
use Magento\Framework\App\Action\AbstractAction;
use Magento\Framework\App\Http\Context as HttpContext;
use Magento\Framework\App\RequestInterface;

/**
 * Class CustomerCountryCacheContextPlugin
 */
class ContextPlugin
{
    protected $helper;

    /**
     * @var \Magento\Framework\App\Http\Context
     */
    protected $httpContext;

    public function __construct(\FiloBlu\PageSpeedOptimizer\Helper\Data $helper, \Magento\Framework\App\Http\Context $httpContext)
    {
        $this->helper = $helper;
        $this->httpContext  = $httpContext;
    }

    public function beforeDispatch(AbstractAction $subject, RequestInterface $request)
    {
        if ($this->helper->isEnabled()) {
            $this->httpContext->setValue(
                "is_bot",
                true,
                false
            );
        } else {
            $this->httpContext->setValue(
                "is_bot",
                false,
                false
            );
        }
    }

}